Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.adapter
Class MappingReader

    java.lang.Object
      org.flexdock.docking.adapter.MappingReader

Deprecated. This class will become package-private.

    public class MappingReader

extends Object

Author:
  Christopher Butler

Field Summary
`static String` | `ADAPTER_KEY` Deprecated.
`static String` | `CLASS_KEY` Deprecated.
`static String` | `CLIENT_KEY` Deprecated.
`static String` | `FLEXDOCK_KEY` Deprecated.
`static String` | `METHOD_KEY` Deprecated.

Constructor Summary
`MappingReader()` Deprecated.

Method Summary
`AdapterMapping[]` | `readMappings(Document mappingDoc)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADAPTER_KEY

    public static final String ADAPTER_KEY

  Deprecated.
  See Also:
    Constant Field Values

### CLASS_KEY

    public static final String CLASS_KEY

  Deprecated.
  See Also:
    Constant Field Values

### METHOD_KEY

    public static final String METHOD_KEY

  Deprecated.
  See Also:
    Constant Field Values

### FLEXDOCK_KEY

    public static final String FLEXDOCK_KEY

  Deprecated.
  See Also:
    Constant Field Values

### CLIENT_KEY

    public static final String CLIENT_KEY

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### MappingReader

    public MappingReader()

  Deprecated.

Method Detail

### readMappings

    public AdapterMapping[] readMappings(Document mappingDoc)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD